Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update webhook subscription

PATCH/workspaces/{organizationId}/webhook-subscriptions/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
urlstring<uri>
eventsstring
secretstring
Responses
200Webhook subscription updated
idstringrequired
organizationIdstringrequired
urlstringrequired
eventsstringrequired
secretstringrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/webhook-subscriptions/string" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "http://example.com",
  "events": "string",
  "secret": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "url": "string",
  "events": "string",
  "secret": "string",
  "createdAt": "string"
}